import { QueryCache as QueryCache$1, DefaultError, WithRequired, QueryFilters, Query } from '@tanstack/query-core';
import { MaybeRefDeep } from './types.js';
import 'vue-demi';

declare class QueryCache extends QueryCache$1 {
    find<TQueryFnData = unknown, TError = DefaultError, TData = TQueryFnData>(filters: MaybeRefDeep<WithRequired<QueryFilters, 'queryKey'>>): Query<TQueryFnData, TError, TData> | undefined;
    findAll(filters?: MaybeRefDeep<QueryFilters>): Array<Query>;
}

export { QueryCache };
